#!/usr/bin/make -f

export DH_VERBOSE = 1
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- -f src/makefile -- nopopcnt \
	SRC="src/*.c" LIBS="-lpthread -lm -lfathom" EXE="ethereal-chess" \
	CFLAGS="$(WFLAGS) -flto \
	$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

override_dh_clean:
	rm -f *.o ethereal-chess
	dh_clean
